#include "SDL/SDL.h"
#include "ninox.h"

static int VKeyPress(int key, int mod);
static int VKeyRelease(int key, int mod);

int
PollKeyboard()
	{
	SDL_Event ev;
	int did_one = 0;
	
	while(SDL_PollEvent(&ev)) {
	   switch(ev.type) {
                case SDL_KEYDOWN: VKeyPress(ev.key.keysym.sym, ev.key.keysym.mod);
				  did_one = 1;
                                  break;
                case SDL_KEYUP: VKeyRelease(ev.key.keysym.sym, ev.key.keysym.mod);
				  did_one = 2;
                                  break;
                }
	   }
	return did_one;
	}

static int
VKeyPress(int key, int mod)
	{
	return 0;
	}

static int
VKeyRelease(int key, int mod)
	{
	return 0;
	}
